// Borrowed from Schiffman's Nature of Code recursion example

void setup() {
  size(640, 360);
}
void draw() {
  background(255);
  
  // Calling draw circle once will call drawCircle() again and again...
  drawCircle(width/2, height/2, 200);
}
void drawCircle(float x, float y, float radius) {
  // Actually draw the circles
  stroke(0);
  noFill();
  ellipse(x, y, radius, radius);
  
  // Then call drawCircle() a few more times
  // Note the exit condition!!!
  if (radius > 16) {
    // Draw another smaller circle to the right
    drawCircle(x + radius/2, y, radius/2);
    // Draw another smaller circle to the left
    drawCircle(x - radius/2, y, radius/2);
    // Draw another smaller circle below
    drawCircle(x, y + radius/2, radius/2);
    // Draw another smaller circle above
    drawCircle(x, y - radius/2, radius/2);
  }
}

